Amplifying your potential.

obsolete warnings

Advanced Color Grading for Unity Pro
2 posts • Page 1 of 1

obsolete warnings

Postby transat » Mon Jan 28, 2019 11:43 am

FYI - I'm getting a few warnings in the Unity 2018.3 console referring to obsolete code in AmplifyColorEffectEditiorBase.cs

For example:

Code: Select all
[CompilerWarning] [CS0618] 'PrefabUtility.GetPrefabType(Object)' is obsolete:
'Use GetPrefabAssetType and GetPrefabInstanceStatus to get the full picture about Prefab types.'
Compiler Warning at Assets/AmplifyColor/Plugins/Editor/AmplifyColorEffectEditorBase.cs:72 column 33
70:   {
71:       GameObject effectPrefab = PrefabUtility.GetPrefabParent( effect.gameObject ) as GameObject;
-->72:       PrefabType effectPrefabType = PrefabUtility.GetPrefabType( effect.gameObject );
73:       bool effectIsPrefab = ( effectPrefabType != PrefabType.None && effectPrefabType != PrefabType.PrefabInstance );
74:       bool effectHasPrefab = ( effectPrefab != null );
transat
 
Posts: 1
Joined: Mon Jan 28, 2019 11:40 am

Re: obsolete warnings

Postby Amplify_Borba » Tue Jan 29, 2019 11:07 am

Hello, thank you for getting in touch and for your support!

Unfortunately, Amplify Color does not officially support 2018.3 at this time and we can't provide any ETA, apologies for the inconvenience.
Customer Relations at Amplify Creations
Learn more about our offering: Amplify Creations Products
Amplify Shader Editor won the Asset Store Best Tool Award - Thank you for your support!
User avatar
Amplify_Borba
 
Posts: 1239
Joined: Mon Jul 24, 2017 9:50 am


2 posts • Page 1 of 1

Return to Amplify Color

Who is online

Users browsing this forum: No registered users and 0 guests